YUI AS Component Documentation |
Class YUIAdapter

Package | com.yahoo.yui
Class | public class YUIAdapter
Inheritance | YUIAdapter flash.display.Sprite
Subclasses | Charts, Uploader

Protected Properties

| Property | Defined by
--- | --- | ---
|  | elementID : String The element id that references the SWF in the HTML. | YUIAdapter
|  | javaScriptEventHandler : String The globally accessible JavaScript function that accepts events through ExternalInterface. | YUIAdapter

Public Methods

| Method | Defined by
--- | --- | ---
|  | YUIAdapter() Constructor. | YUIAdapter
|  | getAltText():String Gets the alternative text for assistive technology. | YUIAdapter
|  | setAltText(value:String):void Sets the alternative text for assistive technology. | YUIAdapter

Protected Methods

| Method | Defined by
--- | --- | ---
|  | initializeComponent():void To be overridden by subclasses to add ExternalInterface callbacks. | YUIAdapter
|  | log(message:Object, category:String = null):void Sends a log message to the YUI Logger. | YUIAdapter
|  | showFatalError(message:Object):void | YUIAdapter

Property detail

elementID | property

`protected var elementID:String`

The element id that references the SWF in the HTML.

javaScriptEventHandler | property |

`protected var javaScriptEventHandler:String`

The globally accessible JavaScript function that accepts events through ExternalInterface.

Constructor detail

YUIAdapter | () | constructor

`public function YUIAdapter()`

Constructor.

Method detail

getAltText | () | method

`public function getAltText():String`

Gets the alternative text for assistive technology.

Returns

| `String`

initializeComponent | () | method |

`protected function initializeComponent():void`

To be overridden by subclasses to add ExternalInterface callbacks.

log | () | method |

`protected function log(message:Object, category:String = null):void`

Sends a log message to the YUI Logger.

Parameters

| `message:Object`
| `category:String` (default = `null`)``

setAltText | () | method |

`public function setAltText(value:String):void`

Sets the alternative text for assistive technology.

Parameters

| `value:String`

showFatalError | () | method |

`protected function showFatalError(message:Object):void` Parameters

| `message:Object`